Subject: bug#20518: 24.5; Tooltip on Ubuntu 12.04/14.04 can't render

From: Xiaolong Zhang <[email-masked]>
Date: Thu, 07 May 2015 02:57:36 +0800

Hi list,

The Dired+ package has a feature that with on a image filename, it will
display a thumbnail of that image. However, it seems that emacs does not
render tooltip correctly on my machine.

Here is a code snippet I used for testing.

-----------8<---------------8<----------------------------------------------- 

;; text in buffer can show image correctly
(insert (propertize "text" 'display (create-image 
"~/Dropbox/images/1.jpg")))

;; tooltip can't render image correctly
(defun get-tooltip(window object pos)
(propertize "tooltip" 'display (create-image "~/Dropbox/images/1.jpg")))
(insert (propertize "text" 'mouse-face 'highlight 'help-echo 'get-tooltip))

-----------8<---------------8<--------------------------------------------

This file line can insert an image rendered in the buffer
correctly. However, the second inserted text only show tooltip text, but
not the image.

I have tested the same code with the same image file on Ubuntu
12.04/14.04 with Emacs (24.5.1) -Q option. Both failed.

I have also tested the code on a Windows 8.1 machine with pre-build
Emacs 24.5. It render the tooltip image correctly.

I'm wondering if this is a bug of Emacs or Ubuntu?

Following is some auto-generated message for bug-report, so I keep it FYI.

Thank you guys!

Best,
Xiaolong

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
of 2015-05-07 on xlzhang-HP-EliteBook-Folio-9470m
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 12.04.5 LTS

Important settings:
value of $LANG: en_HK.UTF-8
value of $XMODIFIERS: @im=fcitx
locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
Mark set
Undo!
get-tooltip
nil
Undo!
nil
Undo!
Saving file /home/xlzhang/code/emacs-bug/emacs-bug.el...
Wrote /home/xlzhang/code/emacs-bug/emacs-bug.el
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 72398 9042)
(symbols 48 17485 0)
(miscs 40 40 138)
(strings 32 9263 4439)
(string-bytes 1 254881)
(vectors 16 8985)
(vector-slots 8 383624 17310)
(floats 8 63 253)
(intervals 56 202 11)
(buffers 960 13)
(heap 1024 11163 546))